Feed item activity
GET
/workspaces/{workspaceId}/feeds/{feedId}/items/{itemId}/activities
Retrieve a list of activities associated with a specific feed item.
Paramètres de requête
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
type
string
Filter by activity type
Possible values: comment, event
Corps de la réponse
results
array of object
obligatoire
Afficher les attributs enfants
results.id
string
obligatoire
results.type
string
obligatoire
Possible values: comment
results.content
object
obligatoire
Afficher les attributs enfants
results.content.id
string
obligatoire
results.content.author
object
obligatoire
Afficher les attributs enfants
results.content.author.id
string
obligatoire
results.content.author.type
string
obligatoire
Possible values: user, flows
results.content.author.displayName
string
results.content.author.avatarUrl
string
results.content.replyTo
object
Afficher les attributs enfants
results.content.replyTo.id
string
obligatoire
results.content.replyTo.type
string
obligatoire
Possible values: comment, message
results.content.body
object
obligatoire
Afficher les attributs enfants
results.content.body.type
string
obligatoire
Possible values: text
results.content.body.text
object
obligatoire
Afficher les attributs enfants
results.content.body.text.text
string
obligatoire
results.content.body.type
string
obligatoire
Possible values: html
results.content.body.html
object
obligatoire
Afficher les attributs enfants
results.content.body.html.text
string
results.content.body.html.html
string
results.content.body.html.attachments
array of object
Afficher les attributs enfants
results.content.body.html.attachments.mediaUrl
string
obligatoire
results.content.body.html.attachments.filename
string
obligatoire
results.content.body.html.attachments.inline
boolean
results.content.mentions
object
Afficher les attributs enfants
results.content.mentions.notify
object
Notify are notification settings for mentions in comments. Every new mentioned individual will be notified the moment they are added as a mention.
If OnUpdate is true, existing mentions will be notified when a comment is changed.
If OnDelete is true, mentions will get notified when the comment gets deleted.
Afficher les attributs enfants
results.content.mentions.notify.onUpdate
boolean
results.content.mentions.notify.onDelete
boolean
results.content.mentions.identifiers
array of object
obligatoire
Afficher les attributs enfants
results.content.mentions.identifiers.id
string
Only agent IDs are supported at the moment.
results.createdAt
string
obligatoire
results.updatedAt
string
obligatoire
results.id
string
obligatoire
results.type
string
obligatoire
Possible values: event
results.content
object
obligatoire
Afficher les attributs enfants
results.content.type
string
obligatoire
Possible values: agent_assigned, team_assigned, agent_unassigned, team_unassigned, archived, unarchived, closed, reopened, participant_added, participant_removed, tag_added, tag_removed, call_started, call_enqueued, call_answered, call_hold, call_unhold, call_ended, recording_started, recording_paused, recording_resumed, recording_completed, recording_available, transcription_started, transcription_available, voicemail, voicemail_dropped
results.content.author
object
Afficher les attributs enfants
results.content.author.id
string
obligatoire
results.content.author.type
string
obligatoire
Possible values: user, flows
results.content.author.displayName
string
results.content.author.avatarUrl
string
results.content.subject
object
Afficher les attributs enfants
results.content.subject.id
string
obligatoire
results.content.subject.name
string
obligatoire
results.content.type
string
obligatoire
Possible values: route_to_agent
results.content.context
object
obligatoire
Afficher les attributs enfants
results.content.context.selectionMode
string
Possible values: filtered, all
results.content.context.agents
array of object
Afficher les attributs enfants
results.content.context.agents.agentId
string
results.content.context.agents.agentName
string
results.content.context.agents.agentStatus
string
Possible values: active, away, out-of-office
results.content.context.agents.agentAvailability
string
Possible values: available, in-call, busy, wrap-up-time, do-not-disturb, offline, not-available, out-of-hours, custom
results.content.context.agents.ticketAssignmentCount
integer
results.content.context.agents.ticketLastAssignedAt
string
results.content.context.agents.isSelected
boolean
results.content.context.agents.isSkipped
boolean
results.content.context.agents.skipReason
string
Possible values: notAvailable, notSkilled
results.createdAt
string
obligatoire
results.updatedAt
string
obligatoire
Exemple de code
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/feeds/{feedId}/items/{itemId}/activities' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'